Skip to main content
GET
/
api
/
v1
/
task
/
checklists
Get Checklist Templates
curl --request GET \
  --url https://api.xenia.team/api/v1/task/checklists \
  --header 'workspace-id: <workspace-id>' \
  --header 'x-client-key: <api-key>' \
  --header 'x-client-secret: <api-key>'
import requests

url = "https://api.xenia.team/api/v1/task/checklists"

headers = {
    "workspace-id": "<workspace-id>",
    "x-client-key": "<api-key>",
    "x-client-secret": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {
    'workspace-id': '<workspace-id>',
    'x-client-key': '<api-key>',
    'x-client-secret': '<api-key>'
  }
};

fetch('https://api.xenia.team/api/v1/task/checklists', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "ChecklistType": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>"
      },
      "ChecklistIndustry": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "itemsCount": 123,
      "logsCount": 123,
      "isPublished": true,
      "publishedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "Creator": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "<string>",
        "lastName": "<string>"
      },
      "WorkspaceChecklist": {
        "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "ChecklistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "isPubliclyAccessible": true,
        "isEditable": true,
        "FolderId": "<string>"
      }
    }
  ],
  "meta": {}
}

Authorizations

x-client-key
string
header
required
x-client-secret
string
header
required

Headers

workspace-id
string<uuid>
required

Workspace ID

Query Parameters

folderId
string

Folder ID to filter templates. Use 'root' for root folder.

archived
boolean

Filter by archived templates

orderBy
enum<string>

Field to order templates by

Available options:
createdAt,
updatedAt,
lastUsedAt
orderDirection
enum<string>

Order direction

Available options:
ASC,
DESC

Response

List of templates returned successfully

data
object[]
meta
object